Description: I've been encountering this annoying bug on recent versions of AMC. A long time ago everything used to work 

fine. 
At the university where I teach the student id numbers are ten digit numbers, most of them starting with 00 
(such as e.g. 0023415347), but not all (some students will get e.g. 1123456789).
In my csv file for student association, I do have the correct numbers, yet the automatic student association 
will generally completely fail (0 students recognized) and the Openoffice export file will show 23415347 
instead of 0023415347. 
I suspect that at some point in AMC the leading zeros from AMCCode or from the student list file are 
dropped, and that then the comparison fails.
I could probably fix this if I knew where to look... Thanks !

History
03/08/2017 10:18 am - Alexis Bienvenüe
Which version do you use?

03/08/2017 06:33 pm - Fabien Baron
We are several faculty to use AMC here, on 3-4 different machines.
On Ubuntu, AMC version 1.3.0+hg2017-01-31: the association partially works, if the true AMCCode is 0023415347, the student grade will be 
associated to 23415347. However the student will also be included in the list of absentees, as 0023415347.

On mac laptop (OSX 10.10.5), the automatic association fails in both the stable version (installed through normal macports) and the devel version 
(installed using this: 
http://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Installation_de_la_version_de_d%C3%A9veloppement_d%27AMC_sous_OS_X
_Mountain_Lion).

03/10/2017 07:59 am - Alexis Bienvenüe
Can you post a minimal setup to test (source file, students list file, one scan)? My simple tests here with student numbers that have leading zeros work 
as expected.

03/21/2017 08:09 pm - Fabien Baron
- File separate.tex added

- File 1596_001.pdf added

- File AMC_studentlist_fake.csv added

Alexis Bienvenüe wrote:
> Can you post a minimal setup to test (source file, students list file, one scan)? My simple tests here with student numbers that have leading zeros 
work as expected.

Ok, sorry for the delay but here is everything.
04/12/2017 06:12 pm - Alexis Bienvenüe
OK, thanks. I tried to correct this bug with commit:a9d9d5a503db. Can you test this?

04/12/2017 11:53 pm - Fabien Baron
Alexis Bienvenüe wrote:
> OK, thanks. I tried to correct this bug with commit:a9d9d5a503db. Can you test this?

Everything seems to work perfectly now. 
Thanks !

04/13/2017 07:32 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
separate.tex 7.4 kB 03/21/2017 Fabien Baron
1596_001.pdf 51.2 kB 03/21/2017 Fabien Baron
AMC_studentlist_fake.csv 174 Bytes 03/21/2017 Fabien Baron
